List connected desktop apps (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /clients/fetch-client-list

Super admin only: lists desktop app installs, filterable by system id, extraction code and online status, with their extraction codes (and cases) and connected devices; skip/limit or page/perPage pagination.

Query parameters

  • page number

    Default value is 1.

  • perPage number

    Default value is 10.

  • skip number

    If skip/limit not provided, page/perPage will take precedence

  • limit number

    If skip/limit not provided, page/perPage will take precedence

  • systemId string

    systemId

  • ecCode string

    ecCode

  • isOnline number

    0 false, 1 true

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • total number Required
      • page number
      • perPage number
      • skip number
      • limit number
      • totalPages number Required
      • nextPage number | null Required
      • previousPage number | null Required
      • data array[object]
        Hide data attributes Show data attributes object
        • createdAt string(date-time) Required
        • updatedAt string(date-time) Required
        • id string Required
        • systemId string Required
        • ecCodes array[string] Required
        • extractionCodes array[string] Required

          Ids of the extraction codes used on this computer

        • isOnline boolean Required
        • lastPingAt string(date-time) Required
        • lastSeenIp string Required
        • lastSeenLocation string Required
        • lastUsedAppVersion string Required
        • osDetails object Required
          Hide osDetails attributes Show osDetails attributes object
          • arch string
          • platform string
          • version string
          • type string

            Never sent today: nothing fills it (the OS type is stored and sent as osType).

          • osType string

            Operating system type reported by the desktop app.

          • machine string
          • totalMemory number
          • cpus object
          • extraInformation object
        • roomName string Required
        • connectedDevices array[string] Required

          Ids of the devices connected to this computer

        • latestState string Required
    • statusCode number Required
    • timestamp string(date-time) Required
GET /clients/fetch-client-list
curl \
 --request GET 'http://api.example.com/clients/fetch-client-list' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "total": 42,
    "page": 1,
    "perPage": 20,
    "skip": 0,
    "limit": 20,
    "totalPages": 3,
    "nextPage": 2,
    "previousPage": 42.0,
    "data": [
      {
        "createdAt": "2026-01-15T14:30:00.000Z",
        "updatedAt": "2026-01-15T14:30:00.000Z",
        "id": "507f1f77bcf86cd799439011",
        "systemId": "string",
        "ecCodes": [
          "string"
        ],
        "extractionCodes": [
          "65a1b2c3d4e5f6a7b8c9d0e1"
        ],
        "isOnline": true,
        "lastPingAt": "2026-05-04T09:42:00Z",
        "lastSeenIp": "string",
        "lastSeenLocation": "string",
        "lastUsedAppVersion": "string",
        "osDetails": {
          "arch": "arm64",
          "platform": "darwin",
          "version": "14.4",
          "type": "Darwin",
          "osType": "Darwin",
          "machine": "arm64",
          "totalMemory": 17179869184,
          "cpus": {},
          "extraInformation": {
            "cpu": {
              "manufacturer": "Apple",
              "brand": "M2",
              "physicalCores": 8
            },
            "mem": {
              "total": 17179869184
            },
            "osInfo": {
              "platform": "darwin",
              "distro": "macOS",
              "release": "14.4",
              "arch": "arm64"
            },
            "battery": {
              "hasBattery": true,
              "percent": 80
            }
          }
        },
        "roomName": "string",
        "connectedDevices": [
          "65a1b2c3d4e5f6a7b8c9d0e2"
        ],
        "latestState": "string"
      }
    ]
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}